package com.steerinfo.pretrack.prebeltscale.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.pretrack.prebeltscale.model.PreBeltScale;
import com.steerinfo.util.CommonPage;

import java.util.List;

/**
 * PreBeltScale服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 07:48
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：generator
 * 参考：
 * 描述：PreBeltScale服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IPreBeltScaleService extends IBaseService<PreBeltScale, String>{

    int doAddBeltScalePrediction(PreBeltScale model);

    int updateScalePrediction(PreBeltScale model);

    List<PreBeltScale> doQueryLikeInfo(CommonPage<PreBeltScale> model);



    //预报管理查询
    List<PreBeltScale> doQuerylike(CommonPage<PreBeltScale> model);

    //预报修改状态  修改为无效
    int doUpdateFlags_0(List<PreBeltScale> list);

    //预报修改状态  修改为无效
    int doUpdateFlags_1(List<PreBeltScale> list);

}